#common.py:
import numpy as np

host  = '192.168.3.136'
port = 60000
timeout = 2

## status1 = 9
## status2 = 9

## # makes sure these faults match the defaults in ircam commands or there will be
## # mismatch between values!
## rows = 16
## cols = 16
## roff = 1
## coff = 4

## framesPerReset=13
## numberOfFrames=26

## dataready1 = 0
## dataready2 = 0
## myArray = np.zeros((rows, cols), dtype=np.float32)
## fluxArray = np.zeros((12,numberOfFrames), dtype=np.float32)
## psArray = np.zeros((rows/2, 1+cols/2), dtype=np.float32)
## fmArray = np.zeros((6,6), dtype=np.float32)
## #fm peaks: 4 quads (UR,UL,BL,BR), x,y,peak,Fraction in peak,total counts
## fmPeaks = np.zeros((4,5), dtype=np.float32)

## fmFluxArray = np.zeros((100,4),dtype=np.float32)

## gdtInfo = np.zeros(7, dtype=np.uint32)
## delayLinesOffsets = np.zeros(6, dtype=np.float64)
## updatedOffsets = np.zeros(6, dtype=np.float64)
## weights = np.zeros(6, dtype=np.float32)
## opds  = np.zeros(6, dtype=np.float32)
 
nBL = 4

numberOfFrames = 42   #(number of flux measurements within one scan)
MAXCOMBOS = 12        #(12 channels for 6 baselines)
FTMEMORY = 600        #(History size)

dataFluxReady = 0
liveDisplayStatus = 0
activeFringe = np.array([0,0,0,0,0,0])
nbpxFringe = 25  #check this number
nbFringe = nBL   #adjust this number
fluxArr = np.zeros((MAXCOMBOS, numberOfFrames), dtype=np.float32)  #current fringe scan
fluxHistArr = np.zeros((MAXCOMBOS, 1), dtype=np.float32)           #
phaseArr = np.zeros((nbpxFringe, nbFringe), dtype=np.float32)
jitterArr = np.zeros((nbpxFringe, nbFringe), dtype=np.float32)

fluxHistArrScanNrNew = 0        #scan number of most current frames
fluxHistArrScanNrCurr = 0       #scan number of last scan number received

tel1Entry = {}
tel2Entry = {}


#Matrix to convert channelNr into FringeNr
#                            L1R1, L2R2, L3R3, L4R4, L5R5, L6R6
chNrL2Fringe = np.array([1,    3,    5,    7,    9,    11])
chNrR2Fringe = np.array([2,    4,    6,    8,    10,   12])

